DELETE disk-scoped actor instance
DELETE
/v1/actor/{name}/disks/{disk}/instances/{instance}/fetchDELETE
/v1/actor/{name}/disks/{disk}/instances/{instance}/fetch
const url = 'https://api.wabe.sh/v1/actor/chat/disks/demo/instances/room-1/fetch';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.wabe.sh/v1/actor/chat/disks/demo/instances/room-1/fetch \ --header 'Authorization: Bearer <token>'The project key authorizes the call and selects the namespace. Wabe creates the named disk if needed and consumes the project key before forwarding the request. See the actor transport protocol.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
string
Example
chatRegistration name in the current project.
disk
required
string
Example
demoDisk name in the current project.
instance
required
string
Example
room-1Instance name on the selected actor and disk.
Request Body
Section titled “Request Body”Application-defined request body.
Media type*/*
Responses
Section titled “Responses”default
Section titled “default”Handler status, headers and body, or a broker error.